Create a Tag
curl --request POST \
--url https://api.monaco.com/v1/tags/ \
--header 'Content-Type: application/json' \
--data '
{
"object": "accounts",
"name": "Enterprise",
"color": "blue"
}
'import requests
url = "https://api.monaco.com/v1/tags/"
payload = {
"object": "accounts",
"name": "Enterprise",
"color": "blue"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({object: 'accounts', name: 'Enterprise', color: 'blue'})
};
fetch('https://api.monaco.com/v1/tags/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Enterprise",
"color": "blue"
},
"meta": {
"timestamp": "2026-04-21T12:00:00Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Tags
Create a Tag
Creates a new tag for the object given in the request body. Tag names must be unique per object type within the organization.
POST
/
v1
/
tags
/
Create a Tag
Body
application/json
Request body for creating a tag via POST.
Object type the tag applies to. One of contacts, accounts, opportunities.
Available options:
contacts, accounts, opportunities Example:
"accounts"
Display name of the tag. Letters, numbers, and spaces only.
Required string length:
1 - 100Pattern:
^[a-zA-Z0-9\s]+$Example:
"Enterprise"
Display color of the tag.
Available options:
green, blue, red, yellow, purple, berry, peach, gray Example:
"blue"
⌘I